Branches for Intrepid

Name Status Last Modified Last Commit
lp:ubuntu/intrepid/cups 2 Mature 2009-12-18 12:39:45 UTC 2009-12-18
25. debian/local/filters/cpdftocps, debia...

Author: Till Kamppeter
Revision Date: 2008-10-20 08:18:20 UTC

debian/local/filters/cpdftocps, debian/filters/pstopdf: Avoid duplicate
execution of the number of copies. Sending a PostScript job to a
non-PostScript printer produced n*n copies instead of n copies, also
sending a non-PostScript job to a PostScript printer. A PostScript job
sent to a PostScript printer could even produce n*n*n copies (LP: #286048).

lp:ubuntu/intrepid-proposed/cups 2 Mature 2009-12-18 12:40:04 UTC 2009-12-18
34. [ Martin Pitt ] * Add bzr-builddeb co...

Author: Till Kamppeter
Revision Date: 2009-03-26 11:56:14 UTC

[ Martin Pitt ]
* Add bzr-builddeb configuration (merge mode). This does not cause any
  change in the built packages, but makes package maintenance easier.

[ Till Kamppeter ]
* debian/local/filters/pdf-filters/pdftopdf/P2PResources.cxx: Fixed
  corruption of output when generating multiple copies of EOG or GIMP
  output files. (LP: #345183)

lp:ubuntu/intrepid-security/cups bug 2 Mature 2010-02-25 10:58:35 UTC 2010-02-25
30. * SECURITY UPDATE: denial of service ...

Author: Marc Deslauriers
Revision Date: 2010-02-25 10:58:35 UTC

* SECURITY UPDATE: denial of service via use-after-free
  - debian/patches/CVE-2009-3553.dpatch: check fdptr->use and
    cupsd_inactive_fds in scheduler/select.c.
  - CVE-2009-3553
  - CVE-2010-0302
* SECURITY UPDATE: privilege escalation via lppasswd tool
  - debian/patches/CVE-2010-0393.dpatch: don't allow environment
    variables to override directories in cups/globals.c and
    systemv/lppasswd.c.
  - CVE-2010-0393

lp:ubuntu/intrepid-updates/cups 2 Mature 2010-02-25 10:58:35 UTC 2010-02-25
30. * SECURITY UPDATE: denial of service ...

Author: Marc Deslauriers
Revision Date: 2010-02-25 10:58:35 UTC

* SECURITY UPDATE: denial of service via use-after-free
  - debian/patches/CVE-2009-3553.dpatch: check fdptr->use and
    cupsd_inactive_fds in scheduler/select.c.
  - CVE-2009-3553
  - CVE-2010-0302
* SECURITY UPDATE: privilege escalation via lppasswd tool
  - debian/patches/CVE-2010-0393.dpatch: don't allow environment
    variables to override directories in cups/globals.c and
    systemv/lppasswd.c.
  - CVE-2010-0393

14 of 4 results